package net.northking.cctp.testbug.dto.bug;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel(description = "缺陷管理查询条件")
public class BugManageQueryDto {
    private String uiProjectId;

    private String uiProjectNo;

    public String getUiProjectNo() {
        return uiProjectNo;
    }

    public void setUiProjectNo(String uiProjectNo) {
        this.uiProjectNo = uiProjectNo;
    }

    public String getUiProjectId() {
        return uiProjectId;
    }

    public void setUiProjectId(String uiProjectId) {
        this.uiProjectId = uiProjectId;
    }

    private String projectNo;

    private String projectName;

    @ApiModelProperty(value = "缺陷编号")
    private String defectNo;

    @ApiModelProperty(value = "缺陷名称")
    private String defectName;

    private String creator;
    @ApiModelProperty(value = "分配给")
    private String assignTo;
    @ApiModelProperty(value = "缺陷状态")
    private String defectStatus;

    private String createDateStart;

    /**
     * "createDateStart": "2023-09-11",
     * "createDateEnd": "2023-09-11",
     * "closeDateStart": "2023-09-11",
     * "closeDateEnd": "2023-09-11",
     * "currentPage": 1,
     * "pageSize": 100,
     * "ak": "Y2xpZW50TmFtZTp1aS1jbGllbnQtZGV2"
     */
    private String createDateEnd;

    private String closeDateStart;

    private String closeDateEnd;

    @NotNull(message = "当前页码不能为空")
    private Integer currentPage;

    @NotNull(message = "每页数据大小不能为空")
    private Integer pageSize;

    private String ak;

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDefectNo() {
        return defectNo;
    }

    public void setDefectNo(String defectNo) {
        this.defectNo = defectNo;
    }

    public String getDefectName() {
        return defectName;
    }

    public void setDefectName(String defectName) {
        this.defectName = defectName;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getAssignTo() {
        return assignTo;
    }

    public void setAssignTo(String assignTo) {
        this.assignTo = assignTo;
    }

    public String getDefectStatus() {
        return defectStatus;
    }

    public void setDefectStatus(String defectStatus) {
        this.defectStatus = defectStatus;
    }

    public String getCreateDateStart() {
        return createDateStart;
    }

    public void setCreateDateStart(String createDateStart) {
        this.createDateStart = createDateStart;
    }

    public String getCreateDateEnd() {
        return createDateEnd;
    }

    public void setCreateDateEnd(String createDateEnd) {
        this.createDateEnd = createDateEnd;
    }

    public String getCloseDateStart() {
        return closeDateStart;
    }

    public void setCloseDateStart(String closeDateStart) {
        this.closeDateStart = closeDateStart;
    }

    public String getCloseDateEnd() {
        return closeDateEnd;
    }

    public void setCloseDateEnd(String closeDateEnd) {
        this.closeDateEnd = closeDateEnd;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getAk() {
        return ak;
    }

    public void setAk(String ak) {
        this.ak = ak;
    }
}
